Last Comment Bug 522357 - test_compactOfflineStore.js hangs for a long time - Not enough arguments [nsIMsgImapMailFolder.markPendingRemoval]
: test_compactOfflineStore.js hangs for a long time - Not enough arguments [nsI...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3.0rc1
Assigned To: Mark Banner (:standard8)
:
:
Mentors:
Depends on:
Blocks: 521134
  Show dependency treegraph
 
Reported: 2009-10-14 15:09 PDT by Mark Banner (:standard8)
Modified: 2009-12-13 05:59 PST (History)
2 users (show)
standard8: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix (894 bytes, patch)
2009-10-14 15:09 PDT, Mark Banner (:standard8)
mozilla: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2009-10-14 15:09:19 PDT
Created attachment 406318 [details] [diff] [review]
The fix

I noticed this testing some patches earlier, test_compactOfflineStore.js hangs (0% cpu) for a long time (I'd actually thought a patch had broken it).

I ran it in interactive mode and found at the point it hangs:

[Exception... "Not enough arguments [nsIMsgImapMailFolder.markPendingRemoval]"  nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)"  location: "JS frame :: /Users/moztest/comm/main/tb/mozilla/_tests/xpcshell/test_imap/unit/test_compactOfflineStore.js :: testPendingRemoval :: line 101"  data: no]

This is fallout from bug 521134.

The attached patch fixes the hang by providing the right number of arguments. It also changes the dump of an exception to a do_throw ensuring that the exception is actually handled as a failure rather than absorbing and hiding it.
Comment 1 David :Bienvenu 2009-10-14 15:11:24 PDT
Comment on attachment 406318 [details] [diff] [review]
The fix

oops, thx, Mark.
Comment 2 Mark Banner (:standard8) 2009-10-15 02:10:58 PDT
Checked in: http://hg.mozilla.org/comm-central/rev/1026c6a5c5d6

Note You need to log in before you can comment on or make changes to this bug.